summarylogtreecommitdiffstats
path: root/frr_7.0_Archlinux.patch
diff options
context:
space:
mode:
Diffstat (limited to 'frr_7.0_Archlinux.patch')
-rw-r--r--frr_7.0_Archlinux.patch104
1 files changed, 104 insertions, 0 deletions
diff --git a/frr_7.0_Archlinux.patch b/frr_7.0_Archlinux.patch
new file mode 100644
index 000000000000..a48af7998bf2
--- /dev/null
+++ b/frr_7.0_Archlinux.patch
@@ -0,0 +1,104 @@
+diff -Naupr frr-frr-7.0_orig/redhat/daemons frr-frr-7.0/redhat/daemons
+--- frr-frr-7.0_orig/redhat/daemons 2019-03-01 06:32:04.000000000 +0700
++++ frr-frr-7.0/redhat/daemons 2019-04-29 13:42:01.157161004 +0700
+@@ -35,7 +35,7 @@
+ # group "frrvty" and set to ug=rw,o= though. Check /etc/pam.d/frr, too.
+ #
+ watchfrr_enable=yes
+-watchfrr_options="-r '/usr/lib/frr/frr restart %s' -s '/usr/lib/frr/frr start %s' -k '/usr/lib/frr/frr stop %s'"
++watchfrr_options="-d -r '/usr/bin/frr restart %s' -s '/usr/bin/frr start %s' -k '/usr/bin/frr stop %s'"
+ #
+ zebra=no
+ bgpd=no
+@@ -58,23 +58,23 @@ fabricd=no
+ #
+ # Command line options for the daemons
+ #
+-zebra_options=("-A 127.0.0.1")
+-bgpd_options=("-A 127.0.0.1")
+-ospfd_options=("-A 127.0.0.1")
+-ospf6d_options=("-A ::1")
+-ripd_options=("-A 127.0.0.1")
+-ripngd_options=("-A ::1")
+-isisd_options=("-A 127.0.0.1")
+-ldpd_options=("-A 127.0.0.1")
+-pimd_options=("-A 127.0.0.1")
+-nhrpd_options=("-A 127.0.0.1")
+-eigrpd_options=("-A 127.0.0.1")
+-babeld_options=("-A 127.0.0.1")
+-sharpd_options=("-A 127.0.0.1")
+-pbrd_options=("-A 127.0.0.1")
+-staticd_options=("-A 127.0.0.1")
+-bfdd_options=("-A 127.0.0.1")
+-fabricd_options=("-A 127.0.0.1")
++zebra_options=("-A 127.0.0.1 -d")
++bgpd_options=("-A 127.0.0.1 -d")
++ospfd_options=("-A 127.0.0.1 -d")
++ospf6d_options=("-A ::1 -d")
++ripd_options=("-A 127.0.0.1 -d")
++ripngd_options=("-A ::1 -d")
++isisd_options=("-A 127.0.0.1 -d")
++ldpd_options=("-A 127.0.0.1 -d")
++pimd_options=("-A 127.0.0.1 -d")
++nhrpd_options=("-A 127.0.0.1 -d")
++eigrpd_options=("-A 127.0.0.1 -d")
++babeld_options=("-A 127.0.0.1 -d")
++sharpd_options=("-A 127.0.0.1 -d")
++pbrd_options=("-A 127.0.0.1 -d")
++staticd_options=("-A 127.0.0.1 -d")
++bfdd_options=("-A 127.0.0.1 -d")
++fabricd_options=("-A 127.0.0.1 -d")
+
+ #
+ # If the vtysh_enable is yes, then the unified config is read
+diff -Naupr frr-frr-7.0_orig/tools/frrcommon.sh.in frr-frr-7.0/tools/frrcommon.sh.in
+--- frr-frr-7.0_orig/tools/frrcommon.sh.in 2019-03-01 06:32:04.000000000 +0700
++++ frr-frr-7.0/tools/frrcommon.sh.in 2019-04-29 11:50:28.826125721 +0700
+@@ -270,7 +270,7 @@ load_old_config() {
+ [ -s "$oldcfg" ] || return 0
+ grep -v '^[[:blank:]]*\(#\|$\)' "$oldcfg" > /dev/null || return 0
+
+- log_warning_msg "Reading deprecated $oldcfg. Please move its settings to $C_PATH/daemons and remove it."
++ log_warning_msg "Reading deprecated $oldcfg. Please move its settings to $C_PATH/daemons.conf and remove it."
+
+ # save off settings from daemons for the OR below
+ for dmn in $DAEMONS; do eval "_new_$dmn=\${$dmn:-no}"; done
+@@ -281,8 +281,8 @@ load_old_config() {
+ for dmn in $DAEMONS; do eval "test \$_new_$dmn != no && $dmn=\$_new_$dmn; unset _new_$dmn"; done
+ }
+
+-[ -r "$C_PATH/daemons" ] || {
+- log_failure_msg "cannot run $@: $C_PATH/daemons does not exist"
++[ -r "$C_PATH/daemons.conf" ] || {
++ log_failure_msg "cannot run $@: $C_PATH/daemons.conf does not exist"
+ exit 1
+ }
+ . "$C_PATH/daemons"
+diff -Naupr frr-frr-7.0_orig/tools/frr.in frr-frr-7.0/tools/frr.in
+--- frr-frr-7.0_orig/tools/frr.in 2019-03-01 06:32:04.000000000 +0700
++++ frr-frr-7.0/tools/frr.in 2019-04-29 11:50:23.632759891 +0700
+@@ -500,10 +500,9 @@ check_status()
+ #########################################################
+
+ # Config broken but script must exit silently.
+-[ ! -r "$C_PATH/daemons" ] && exit 0
++[ ! -r "$C_PATH/daemons.conf" ] && exit 0
+
+ # Load configuration
+-. "$C_PATH/daemons"
+ . "$C_PATH/daemons.conf"
+
+ # Read configuration variable file if it is present
+diff -Naupr frr-frr-7.0_orig/tools/frr-reload frr-frr-7.0/tools/frr-reload
+--- frr-frr-7.0_orig/tools/frr-reload 2019-03-01 06:32:04.000000000 +0700
++++ frr-frr-7.0/tools/frr-reload 2019-04-29 11:51:12.669735089 +0700
+@@ -1,7 +1,7 @@
+ #!/bin/sh
+
+-if test -e /usr/lib/frr/frr-reload.py; then
+- exec /usr/lib/frr/frr-reload.py --reload /etc/frr/frr.conf
++if test -e /usr/bin/frr-reload.py; then
++ exec /usr/bin/frr-reload.py --reload /etc/frr/frr.conf
+ fi
+ >&2 echo "Please install frr-pythontools package. Required for reload"
+ exit 1